/loans/{id}Retrieve
Recovers the loan resource by its id
Parameters
Path Parameters
| Name | Type |
|---|---|
idrequired | string (uuid) |
Responses
Response with information related to a loan
Primary identifier
Identifier of the item linked to the loan
Contract number given by the contracting institution
Standard contract number - IPOC (Identificação Padronizada da Operação de Crédito)
Denomination/Identification of the name of the credit operation disclosed to the customer
Loan type (https://openbanking-brasil.github.io/openapi/swagger-apis/loans/?urls.primaryName=2.0.1#model-EnumContractProductSubTypeLoans)
Credit-operation family this contract belongs to.
Date when the loan data was collected
Date when the loan was contracted
Disbursement date of the contracted amount
Loan settlement date
Loan contracted value
Code referencing the currency of the loan
Loan due date
Installments regular frequency
Mandatory field to complement the information regarding the regular payment frequency when installmentPeriodicity has value 'OTHERS'
First installment due date
CET - Custo Efetivo Total must be expressed as an annual percentage rate and incorporates all charges and expenses incurred in credit operations (interest rate, but also tariffs, taxes, insurance and other expenses charged)
Amortization system (https://openbanking-brasil.github.io/openapi/swagger-apis/loans/?urls.primaryName=2.0.1#model-EnumContractAmortizationScheduled)
Mandatory field to complement the information regarding the scheduled amortization when it has value 'OTHERS'
Consignor CNPJ
Object that brings the set of information necessary to demonstrate the composition of the remunerative interest rates of the Credit Type
List that brings the information of the tariffs agreed in the contract.
List that brings the charges agreed in the contract
Type of total term of the contract referring to the type of credit informed
Total term according to the type referring to the type of credit informed
Type of remaining term of the contract referring to the type of credit informed
Remaining term according to the type referring to the credit type informed
Number of paid installments
Number of due installments
Number of overdue installments
List that brings the due dates and value of the non-regular installments of the contract of the type of credit consulted
Loan contract payment data
Example response
{}Code Examples
curl -X GET 'https://api.pluggy.ai/loans/{id}' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'